astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- Galactic

# Galactic

class `astropy.coordinates.``Galactic`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  Galactic Coordinates.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  l : `Angle`, optional, must be keyword

  > The Galactic longitude for this object (`b` must also be given and `representation` must be None).

  b : `Angle`, optional, must be keyword

  > The Galactic latitude for this object (`l` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight.

  Attributes Summary

  `default_representation` |
  `frame_specific_representation_info` |
  `name` |

  Attributes Documentation

  `default_representation`
  `frame_specific_representation_info`
  `name` = 'galactic'